{
    "packages": [
        {
            "name": "acmephp/core",
            "version": "2.1.0",
            "version_normalized": "2.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/acmephp/core.git",
                "reference": "ca7f26e27e4c14fbf90f7c117302fb2ae38576d7"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/acmephp/core/zipball/ca7f26e27e4c14fbf90f7c117302fb2ae38576d7",
                "reference": "ca7f26e27e4c14fbf90f7c117302fb2ae38576d7",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "acmephp/ssl": "^2.0",
                "ext-hash": "*",
                "ext-json": "*",
                "ext-openssl": "*",
                "guzzlehttp/guzzle": "^6.0|^7.0",
                "guzzlehttp/psr7": "^1.7|^2.1",
                "lcobucci/jwt": "^3.3|^4.0",
                "php": ">=7.2.5",
                "psr/http-message": "^1.0",
                "psr/log": "^1.0|^2.0|^3.0",
                "webmozart/assert": "^1.0"
            },
            "time": "2022-05-31T17:36:40+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AcmePhp\\Core\\": "."
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Titouan Galopin",
                    "email": "galopintitouan@gmail.com",
                    "homepage": "http://titouangalopin.com"
                },
                {
                    "name": "Jérémy Derussé",
                    "homepage": "https://twitter.com/jderusse"
                }
            ],
            "description": "Raw implementation of the ACME protocol in PHP",
            "homepage": "https://github.com/acmephp/core",
            "keywords": [
                "acmephp",
                "certificate",
                "csr",
                "encryption",
                "https",
                "letsencrypt",
                "openssl",
                "ssl",
                "x509"
            ],
            "support": {
                "source": "https://github.com/acmephp/core/tree/2.1.0"
            },
            "install-path": "../acmephp/core"
        },
        {
            "name": "acmephp/ssl",
            "version": "2.1.0",
            "version_normalized": "2.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/acmephp/ssl.git",
                "reference": "c78ad953d3680acf3f02024c93ff32724d353590"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/acmephp/ssl/zipball/c78ad953d3680acf3f02024c93ff32724d353590",
                "reference": "c78ad953d3680acf3f02024c93ff32724d353590",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-hash": "*",
                "ext-openssl": "*",
                "lib-openssl": ">=0.9.8",
                "php": ">=7.2.5",
                "webmozart/assert": "^1.0"
            },
            "time": "2022-05-31T16:44:35+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "AcmePhp\\Ssl\\": "."
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Titouan Galopin",
                    "email": "galopintitouan@gmail.com",
                    "homepage": "http://titouangalopin.com"
                },
                {
                    "name": "Jérémy Derussé",
                    "homepage": "https://twitter.com/jderusse"
                }
            ],
            "description": "PHP wrapper around OpenSSL extension providing SSL encoding, decoding, parsing and signing features",
            "homepage": "https://github.com/acmephp/ssl",
            "keywords": [
                "ECDSA",
                "acmephp",
                "certificate",
                "csr",
                "https",
                "openssl",
                "rsa",
                "ssl",
                "x509"
            ],
            "support": {
                "issues": "https://github.com/acmephp/ssl/issues",
                "source": "https://github.com/acmephp/ssl/tree/2.1.0"
            },
            "install-path": "../acmephp/ssl"
        },
        {
            "name": "doctrine/inflector",
            "version": "2.0.10",
            "version_normalized": "2.0.10.0",
            "source": {
                "type": "git",
                "url": "https://github.com/doctrine/inflector.git",
                "reference": "5817d0659c5b50c9b950feb9af7b9668e2c436bc"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/doctrine/inflector/zipball/5817d0659c5b50c9b950feb9af7b9668e2c436bc",
                "reference": "5817d0659c5b50c9b950feb9af7b9668e2c436bc",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "require-dev": {
                "doctrine/coding-standard": "^11.0",
                "phpstan/phpstan": "^1.8",
                "phpstan/phpstan-phpunit": "^1.1",
                "phpstan/phpstan-strict-rules": "^1.3",
                "phpunit/phpunit": "^8.5 || ^9.5",
                "vimeo/psalm": "^4.25 || ^5.4"
            },
            "time": "2024-02-18T20:23:39+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Doctrine\\Inflector\\": "lib/Doctrine/Inflector"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Guilherme Blanco",
                    "email": "guilhermeblanco@gmail.com"
                },
                {
                    "name": "Roman Borschel",
                    "email": "roman@code-factory.org"
                },
                {
                    "name": "Benjamin Eberlei",
                    "email": "kontakt@beberlei.de"
                },
                {
                    "name": "Jonathan Wage",
                    "email": "jonwage@gmail.com"
                },
                {
                    "name": "Johannes Schmitt",
                    "email": "schmittjoh@gmail.com"
                }
            ],
            "description": "PHP Doctrine Inflector is a small library that can perform string manipulations with regard to upper/lowercase and singular/plural forms of words.",
            "homepage": "https://www.doctrine-project.org/projects/inflector.html",
            "keywords": [
                "inflection",
                "inflector",
                "lowercase",
                "manipulation",
                "php",
                "plural",
                "singular",
                "strings",
                "uppercase",
                "words"
            ],
            "support": {
                "issues": "https://github.com/doctrine/inflector/issues",
                "source": "https://github.com/doctrine/inflector/tree/2.0.10"
            },
            "funding": [
                {
                    "url": "https://www.doctrine-project.org/sponsorship.html",
                    "type": "custom"
                },
                {
                    "url": "https://www.patreon.com/phpdoctrine",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/doctrine%2Finflector",
                    "type": "tidelift"
                }
            ],
            "install-path": "../doctrine/inflector"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "7.8.1",
            "version_normalized": "7.8.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "41042bc7ab002487b876a0683fc8dce04ddce104"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/guzzle/zipball/41042bc7ab002487b876a0683fc8dce04ddce104",
                "reference": "41042bc7ab002487b876a0683fc8dce04ddce104",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.5.3 || ^2.0.1",
                "guzzlehttp/psr7": "^1.9.1 || ^2.5.1",
                "php": "^7.2.5 || ^8.0",
                "psr/http-client": "^1.0",
                "symfony/deprecation-contracts": "^2.2 || ^3.0"
            },
            "provide": {
                "psr/http-client-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "ext-curl": "*",
                "php-http/client-integration-tests": "dev-master#2c025848417c1135031fdf9c728ee53d0a7ceaee as 3.0.999",
                "php-http/message-factory": "^1.1",
                "phpunit/phpunit": "^8.5.36 || ^9.6.15",
                "psr/log": "^1.1 || ^2.0 || ^3.0"
            },
            "suggest": {
                "ext-curl": "Required for CURL handler support",
                "ext-intl": "Required for Internationalized Domain Name (IDN) support",
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2023-12-03T20:35:24+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "psr-18",
                "psr-7",
                "rest",
                "web service"
            ],
            "support": {
                "issues": "https://github.com/guzzle/guzzle/issues",
                "source": "https://github.com/guzzle/guzzle/tree/7.8.1"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/guzzle",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "2.0.2",
            "version_normalized": "2.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "bbff78d96034045e58e13dedd6ad91b5d1253223"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/bbff78d96034045e58e13dedd6ad91b5d1253223",
                "reference": "bbff78d96034045e58e13dedd6ad91b5d1253223",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.2.5 || ^8.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "phpunit/phpunit": "^8.5.36 || ^9.6.15"
            },
            "time": "2023-12-03T20:19:20+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/2.0.2"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "2.6.2",
            "version_normalized": "2.6.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "45b30f99ac27b5ca93cb4831afe16285f57b8221"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/45b30f99ac27b5ca93cb4831afe16285f57b8221",
                "reference": "45b30f99ac27b5ca93cb4831afe16285f57b8221",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.1 || ^2.0",
                "ralouphie/getallheaders": "^3.0"
            },
            "provide": {
                "psr/http-factory-implementation": "1.0",
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "http-interop/http-factory-tests": "^0.9",
                "phpunit/phpunit": "^8.5.36 || ^9.6.15"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2023-12-03T20:05:35+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/2.6.2"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "lcobucci/clock",
            "version": "2.2.0",
            "version_normalized": "2.2.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/lcobucci/clock.git",
                "reference": "fb533e093fd61321bfcbac08b131ce805fe183d3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/lcobucci/clock/zipball/fb533e093fd61321bfcbac08b131ce805fe183d3",
                "reference": "fb533e093fd61321bfcbac08b131ce805fe183d3",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^8.0",
                "stella-maris/clock": "^0.1.4"
            },
            "require-dev": {
                "infection/infection": "^0.26",
                "lcobucci/coding-standard": "^8.0",
                "phpstan/extension-installer": "^1.1",
                "phpstan/phpstan": "^0.12",
                "phpstan/phpstan-deprecation-rules": "^0.12",
                "phpstan/phpstan-phpunit": "^0.12",
                "phpstan/phpstan-strict-rules": "^0.12",
                "phpunit/phpunit": "^9.5"
            },
            "time": "2022-04-19T19:34:17+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Lcobucci\\Clock\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Luís Cobucci",
                    "email": "lcobucci@gmail.com"
                }
            ],
            "description": "Yet another clock abstraction",
            "support": {
                "issues": "https://github.com/lcobucci/clock/issues",
                "source": "https://github.com/lcobucci/clock/tree/2.2.0"
            },
            "funding": [
                {
                    "url": "https://github.com/lcobucci",
                    "type": "github"
                },
                {
                    "url": "https://www.patreon.com/lcobucci",
                    "type": "patreon"
                }
            ],
            "install-path": "../lcobucci/clock"
        },
        {
            "name": "lcobucci/jwt",
            "version": "4.3.0",
            "version_normalized": "4.3.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/lcobucci/jwt.git",
                "reference": "4d7de2fe0d51a96418c0d04004986e410e87f6b4"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/lcobucci/jwt/zipball/4d7de2fe0d51a96418c0d04004986e410e87f6b4",
                "reference": "4d7de2fe0d51a96418c0d04004986e410e87f6b4",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-hash": "*",
                "ext-json": "*",
                "ext-mbstring": "*",
                "ext-openssl": "*",
                "ext-sodium": "*",
                "lcobucci/clock": "^2.0 || ^3.0",
                "php": "^7.4 || ^8.0"
            },
            "require-dev": {
                "infection/infection": "^0.21",
                "lcobucci/coding-standard": "^6.0",
                "mikey179/vfsstream": "^1.6.7",
                "phpbench/phpbench": "^1.2",
                "phpstan/extension-installer": "^1.0",
                "phpstan/phpstan": "^1.4",
                "phpstan/phpstan-deprecation-rules": "^1.0",
                "phpstan/phpstan-phpunit": "^1.0",
                "phpstan/phpstan-strict-rules": "^1.0",
                "phpunit/php-invoker": "^3.1",
                "phpunit/phpunit": "^9.5"
            },
            "time": "2023-01-02T13:28:00+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Lcobucci\\JWT\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Luís Cobucci",
                    "email": "lcobucci@gmail.com",
                    "role": "Developer"
                }
            ],
            "description": "A simple library to work with JSON Web Token and JSON Web Signature",
            "keywords": [
                "JWS",
                "jwt"
            ],
            "support": {
                "issues": "https://github.com/lcobucci/jwt/issues",
                "source": "https://github.com/lcobucci/jwt/tree/4.3.0"
            },
            "funding": [
                {
                    "url": "https://github.com/lcobucci",
                    "type": "github"
                },
                {
                    "url": "https://www.patreon.com/lcobucci",
                    "type": "patreon"
                }
            ],
            "install-path": "../lcobucci/jwt"
        },
        {
            "name": "monolog/monolog",
            "version": "2.9.2",
            "version_normalized": "2.9.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Seldaek/monolog.git",
                "reference": "437cb3628f4cf6042cc10ae97fc2b8472e48ca1f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Seldaek/monolog/zipball/437cb3628f4cf6042cc10ae97fc2b8472e48ca1f",
                "reference": "437cb3628f4cf6042cc10ae97fc2b8472e48ca1f",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.2",
                "psr/log": "^1.0.1 || ^2.0 || ^3.0"
            },
            "provide": {
                "psr/log-implementation": "1.0.0 || 2.0.0 || 3.0.0"
            },
            "require-dev": {
                "aws/aws-sdk-php": "^2.4.9 || ^3.0",
                "doctrine/couchdb": "~1.0@dev",
                "elasticsearch/elasticsearch": "^7 || ^8",
                "ext-json": "*",
                "graylog2/gelf-php": "^1.4.2 || ^2@dev",
                "guzzlehttp/guzzle": "^7.4",
                "guzzlehttp/psr7": "^2.2",
                "mongodb/mongodb": "^1.8",
                "php-amqplib/php-amqplib": "~2.4 || ^3",
                "phpspec/prophecy": "^1.15",
                "phpstan/phpstan": "^0.12.91",
                "phpunit/phpunit": "^8.5.14",
                "predis/predis": "^1.1 || ^2.0",
                "rollbar/rollbar": "^1.3 || ^2 || ^3",
                "ruflin/elastica": "^7",
                "swiftmailer/swiftmailer": "^5.3|^6.0",
                "symfony/mailer": "^5.4 || ^6",
                "symfony/mime": "^5.4 || ^6"
            },
            "suggest": {
                "aws/aws-sdk-php": "Allow sending log messages to AWS services like DynamoDB",
                "doctrine/couchdb": "Allow sending log messages to a CouchDB server",
                "elasticsearch/elasticsearch": "Allow sending log messages to an Elasticsearch server via official client",
                "ext-amqp": "Allow sending log messages to an AMQP server (1.0+ required)",
                "ext-curl": "Required to send log messages using the IFTTTHandler, the LogglyHandler, the SendGridHandler, the SlackWebhookHandler or the TelegramBotHandler",
                "ext-mbstring": "Allow to work properly with unicode symbols",
                "ext-mongodb": "Allow sending log messages to a MongoDB server (via driver)",
                "ext-openssl": "Required to send log messages using SSL",
                "ext-sockets": "Allow sending log messages to a Syslog server (via UDP driver)",
                "graylog2/gelf-php": "Allow sending log messages to a GrayLog2 server",
                "mongodb/mongodb": "Allow sending log messages to a MongoDB server (via library)",
                "php-amqplib/php-amqplib": "Allow sending log messages to an AMQP server using php-amqplib",
                "rollbar/rollbar": "Allow sending log messages to Rollbar",
                "ruflin/elastica": "Allow sending log messages to an Elastic Search server"
            },
            "time": "2023-10-27T15:25:26+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Monolog\\": "src/Monolog"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "https://seld.be"
                }
            ],
            "description": "Sends your logs to files, sockets, inboxes, databases and various web services",
            "homepage": "https://github.com/Seldaek/monolog",
            "keywords": [
                "log",
                "logging",
                "psr-3"
            ],
            "support": {
                "issues": "https://github.com/Seldaek/monolog/issues",
                "source": "https://github.com/Seldaek/monolog/tree/2.9.2"
            },
            "funding": [
                {
                    "url": "https://github.com/Seldaek",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/monolog/monolog",
                    "type": "tidelift"
                }
            ],
            "install-path": "../monolog/monolog"
        },
        {
            "name": "nikic/fast-route",
            "version": "v1.3.0",
            "version_normalized": "1.3.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/nikic/FastRoute.git",
                "reference": "181d480e08d9476e61381e04a71b34dc0432e812"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/nikic/FastRoute/zipball/181d480e08d9476e61381e04a71b34dc0432e812",
                "reference": "181d480e08d9476e61381e04a71b34dc0432e812",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.4.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.8.35|~5.7"
            },
            "time": "2018-02-13T20:26:39+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions.php"
                ],
                "psr-4": {
                    "FastRoute\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Nikita Popov",
                    "email": "nikic@php.net"
                }
            ],
            "description": "Fast request router for PHP",
            "keywords": [
                "router",
                "routing"
            ],
            "support": {
                "issues": "https://github.com/nikic/FastRoute/issues",
                "source": "https://github.com/nikic/FastRoute/tree/master"
            },
            "install-path": "../nikic/fast-route"
        },
        {
            "name": "psr/clock",
            "version": "1.0.0",
            "version_normalized": "1.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/clock.git",
                "reference": "e41a24703d4560fd0acb709162f73b8adfc3aa0d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/clock/zipball/e41a24703d4560fd0acb709162f73b8adfc3aa0d",
                "reference": "e41a24703d4560fd0acb709162f73b8adfc3aa0d",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.0 || ^8.0"
            },
            "time": "2022-11-25T14:36:26+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Clock\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for reading the clock.",
            "homepage": "https://github.com/php-fig/clock",
            "keywords": [
                "clock",
                "now",
                "psr",
                "psr-20",
                "time"
            ],
            "support": {
                "issues": "https://github.com/php-fig/clock/issues",
                "source": "https://github.com/php-fig/clock/tree/1.0.0"
            },
            "install-path": "../psr/clock"
        },
        {
            "name": "psr/container",
            "version": "2.0.2",
            "version_normalized": "2.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/container.git",
                "reference": "c71ecc56dfe541dbd90c5360474fbc405f8d5963"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/container/zipball/c71ecc56dfe541dbd90c5360474fbc405f8d5963",
                "reference": "c71ecc56dfe541dbd90c5360474fbc405f8d5963",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.4.0"
            },
            "time": "2021-11-05T16:47:00+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Container\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common Container Interface (PHP FIG PSR-11)",
            "homepage": "https://github.com/php-fig/container",
            "keywords": [
                "PSR-11",
                "container",
                "container-interface",
                "container-interop",
                "psr"
            ],
            "support": {
                "issues": "https://github.com/php-fig/container/issues",
                "source": "https://github.com/php-fig/container/tree/2.0.2"
            },
            "install-path": "../psr/container"
        },
        {
            "name": "psr/http-client",
            "version": "1.0.3",
            "version_normalized": "1.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-client.git",
                "reference": "bb5906edc1c324c9a05aa0873d40117941e5fa90"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-client/zipball/bb5906edc1c324c9a05aa0873d40117941e5fa90",
                "reference": "bb5906edc1c324c9a05aa0873d40117941e5fa90",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.0 || ^8.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2023-09-23T14:17:50+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Client\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP clients",
            "homepage": "https://github.com/php-fig/http-client",
            "keywords": [
                "http",
                "http-client",
                "psr",
                "psr-18"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-client"
            },
            "install-path": "../psr/http-client"
        },
        {
            "name": "psr/http-factory",
            "version": "1.0.2",
            "version_normalized": "1.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-factory.git",
                "reference": "e616d01114759c4c489f93b099585439f795fe35"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-factory/zipball/e616d01114759c4c489f93b099585439f795fe35",
                "reference": "e616d01114759c4c489f93b099585439f795fe35",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.0.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2023-04-10T20:10:41+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for PSR-7 HTTP message factories",
            "keywords": [
                "factory",
                "http",
                "message",
                "psr",
                "psr-17",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-factory/tree/1.0.2"
            },
            "install-path": "../psr/http-factory"
        },
        {
            "name": "psr/http-message",
            "version": "1.1",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "time": "2023-04-04T09:50:52+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/1.1"
            },
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/log",
            "version": "3.0.0",
            "version_normalized": "3.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/log.git",
                "reference": "fe5ea303b0887d5caefd3d431c3e61ad47037001"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/log/zipball/fe5ea303b0887d5caefd3d431c3e61ad47037001",
                "reference": "fe5ea303b0887d5caefd3d431c3e61ad47037001",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=8.0.0"
            },
            "time": "2021-07-14T16:46:02+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "support": {
                "source": "https://github.com/php-fig/log/tree/3.0.0"
            },
            "install-path": "../psr/log"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "support": {
                "issues": "https://github.com/ralouphie/getallheaders/issues",
                "source": "https://github.com/ralouphie/getallheaders/tree/develop"
            },
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "respect/stringifier",
            "version": "0.2.0",
            "version_normalized": "0.2.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Respect/Stringifier.git",
                "reference": "e55af3c8aeaeaa2abb5fa47a58a8e9688cc23b59"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Respect/Stringifier/zipball/e55af3c8aeaeaa2abb5fa47a58a8e9688cc23b59",
                "reference": "e55af3c8aeaeaa2abb5fa47a58a8e9688cc23b59",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "^2.8",
                "malukenho/docheader": "^0.1.7",
                "phpunit/phpunit": "^6.4"
            },
            "time": "2017-12-29T19:39:25+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/stringify.php"
                ],
                "psr-4": {
                    "Respect\\Stringifier\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Respect/Stringifier Contributors",
                    "homepage": "https://github.com/Respect/Stringifier/graphs/contributors"
                }
            ],
            "description": "Converts any value to a string",
            "homepage": "http://respect.github.io/Stringifier/",
            "keywords": [
                "respect",
                "stringifier",
                "stringify"
            ],
            "support": {
                "issues": "https://github.com/Respect/Stringifier/issues",
                "source": "https://github.com/Respect/Stringifier/tree/0.2.0"
            },
            "install-path": "../respect/stringifier"
        },
        {
            "name": "stella-maris/clock",
            "version": "0.1.7",
            "version_normalized": "0.1.7.0",
            "source": {
                "type": "git",
                "url": "https://github.com/stella-maris-solutions/clock.git",
                "reference": "fa23ce16019289a18bb3446fdecd45befcdd94f8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/stella-maris-solutions/clock/zipball/fa23ce16019289a18bb3446fdecd45befcdd94f8",
                "reference": "fa23ce16019289a18bb3446fdecd45befcdd94f8",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^7.0|^8.0",
                "psr/clock": "^1.0"
            },
            "time": "2022-11-25T16:15:06+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "StellaMaris\\Clock\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Andreas Heigl",
                    "role": "Maintainer"
                }
            ],
            "description": "A pre-release of the proposed PSR-20 Clock-Interface",
            "homepage": "https://gitlab.com/stella-maris/clock",
            "keywords": [
                "clock",
                "datetime",
                "point in time",
                "psr20"
            ],
            "support": {
                "source": "https://github.com/stella-maris-solutions/clock/tree/0.1.7"
            },
            "install-path": "../stella-maris/clock"
        },
        {
            "name": "symfony/console",
            "version": "v6.0.19",
            "version_normalized": "6.0.19.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/console.git",
                "reference": "c3ebc83d031b71c39da318ca8b7a07ecc67507ed"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/console/zipball/c3ebc83d031b71c39da318ca8b7a07ecc67507ed",
                "reference": "c3ebc83d031b71c39da318ca8b7a07ecc67507ed",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=8.0.2",
                "symfony/polyfill-mbstring": "~1.0",
                "symfony/service-contracts": "^1.1|^2|^3",
                "symfony/string": "^5.4|^6.0"
            },
            "conflict": {
                "symfony/dependency-injection": "<5.4",
                "symfony/dotenv": "<5.4",
                "symfony/event-dispatcher": "<5.4",
                "symfony/lock": "<5.4",
                "symfony/process": "<5.4"
            },
            "provide": {
                "psr/log-implementation": "1.0|2.0|3.0"
            },
            "require-dev": {
                "psr/log": "^1|^2|^3",
                "symfony/config": "^5.4|^6.0",
                "symfony/dependency-injection": "^5.4|^6.0",
                "symfony/event-dispatcher": "^5.4|^6.0",
                "symfony/lock": "^5.4|^6.0",
                "symfony/process": "^5.4|^6.0",
                "symfony/var-dumper": "^5.4|^6.0"
            },
            "suggest": {
                "psr/log": "For using the console logger",
                "symfony/event-dispatcher": "",
                "symfony/lock": "",
                "symfony/process": ""
            },
            "time": "2023-01-01T08:36:10+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\Console\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Eases the creation of beautiful and testable command line interfaces",
            "homepage": "https://symfony.com",
            "keywords": [
                "cli",
                "command line",
                "console",
                "terminal"
            ],
            "support": {
                "source": "https://github.com/symfony/console/tree/v6.0.19"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/console"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/deprecation-contracts.git",
                "reference": "26954b3d62a6c5fd0ea8a2a00c0353a14978d05c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/26954b3d62a6c5fd0ea8a2a00c0353a14978d05c",
                "reference": "26954b3d62a6c5fd0ea8a2a00c0353a14978d05c",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=8.0.2"
            },
            "time": "2022-01-02T09:55:41+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "3.0-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/deprecation-contracts/tree/v3.0.2"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/deprecation-contracts"
        },
        {
            "name": "symfony/polyfill-ctype",
            "version": "v1.28.0",
            "version_normalized": "1.28.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-ctype.git",
                "reference": "ea208ce43cbb04af6867b4fdddb1bdbf84cc28cb"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-ctype/zipball/ea208ce43cbb04af6867b4fdddb1bdbf84cc28cb",
                "reference": "ea208ce43cbb04af6867b4fdddb1bdbf84cc28cb",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "provide": {
                "ext-ctype": "*"
            },
            "suggest": {
                "ext-ctype": "For best performance"
            },
            "time": "2023-01-26T09:26:14+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.28-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Ctype\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Gert de Pagter",
                    "email": "BackEndTea@gmail.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for ctype functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "ctype",
                "polyfill",
                "portable"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-ctype/tree/v1.28.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-ctype"
        },
        {
            "name": "symfony/polyfill-intl-grapheme",
            "version": "v1.29.0",
            "version_normalized": "1.29.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-grapheme.git",
                "reference": "32a9da87d7b3245e09ac426c83d334ae9f06f80f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-grapheme/zipball/32a9da87d7b3245e09ac426c83d334ae9f06f80f",
                "reference": "32a9da87d7b3245e09ac426c83d334ae9f06f80f",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2024-01-29T20:11:03+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Grapheme\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's grapheme_* functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "grapheme",
                "intl",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-grapheme/tree/v1.29.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-grapheme"
        },
        {
            "name": "symfony/polyfill-intl-normalizer",
            "version": "v1.28.0",
            "version_normalized": "1.28.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-normalizer.git",
                "reference": "8c4ad05dd0120b6a53c1ca374dca2ad0a1c4ed92"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-normalizer/zipball/8c4ad05dd0120b6a53c1ca374dca2ad0a1c4ed92",
                "reference": "8c4ad05dd0120b6a53c1ca374dca2ad0a1c4ed92",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2023-01-26T09:26:14+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.28-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Normalizer\\": ""
                },
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's Normalizer class and related functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "intl",
                "normalizer",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-normalizer/tree/v1.28.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-normalizer"
        },
        {
            "name": "symfony/polyfill-mbstring",
            "version": "v1.28.0",
            "version_normalized": "1.28.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-mbstring.git",
                "reference": "42292d99c55abe617799667f454222c54c60e229"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/42292d99c55abe617799667f454222c54c60e229",
                "reference": "42292d99c55abe617799667f454222c54c60e229",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "provide": {
                "ext-mbstring": "*"
            },
            "suggest": {
                "ext-mbstring": "For best performance"
            },
            "time": "2023-07-28T09:04:16+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.28-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Mbstring\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Mbstring extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "mbstring",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-mbstring/tree/v1.28.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-mbstring"
        },
        {
            "name": "symfony/service-contracts",
            "version": "v3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/service-contracts.git",
                "reference": "d78d39c1599bd1188b8e26bb341da52c3c6d8a66"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/service-contracts/zipball/d78d39c1599bd1188b8e26bb341da52c3c6d8a66",
                "reference": "d78d39c1599bd1188b8e26bb341da52c3c6d8a66",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=8.0.2",
                "psr/container": "^2.0"
            },
            "conflict": {
                "ext-psr": "<1.1|>=2"
            },
            "suggest": {
                "symfony/service-implementation": ""
            },
            "time": "2022-05-30T19:17:58+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "3.0-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Contracts\\Service\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Generic abstractions related to writing services",
            "homepage": "https://symfony.com",
            "keywords": [
                "abstractions",
                "contracts",
                "decoupling",
                "interfaces",
                "interoperability",
                "standards"
            ],
            "support": {
                "source": "https://github.com/symfony/service-contracts/tree/v3.0.2"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/service-contracts"
        },
        {
            "name": "symfony/string",
            "version": "v6.0.19",
            "version_normalized": "6.0.19.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/string.git",
                "reference": "d9e72497367c23e08bf94176d2be45b00a9d232a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/string/zipball/d9e72497367c23e08bf94176d2be45b00a9d232a",
                "reference": "d9e72497367c23e08bf94176d2be45b00a9d232a",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=8.0.2",
                "symfony/polyfill-ctype": "~1.8",
                "symfony/polyfill-intl-grapheme": "~1.0",
                "symfony/polyfill-intl-normalizer": "~1.0",
                "symfony/polyfill-mbstring": "~1.0"
            },
            "conflict": {
                "symfony/translation-contracts": "<2.0"
            },
            "require-dev": {
                "symfony/error-handler": "^5.4|^6.0",
                "symfony/http-client": "^5.4|^6.0",
                "symfony/translation-contracts": "^2.0|^3.0",
                "symfony/var-exporter": "^5.4|^6.0"
            },
            "time": "2023-01-01T08:36:10+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "Resources/functions.php"
                ],
                "psr-4": {
                    "Symfony\\Component\\String\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Provides an object-oriented API to strings and deals with bytes, UTF-8 code points and grapheme clusters in a unified way",
            "homepage": "https://symfony.com",
            "keywords": [
                "grapheme",
                "i18n",
                "string",
                "unicode",
                "utf-8",
                "utf8"
            ],
            "support": {
                "source": "https://github.com/symfony/string/tree/v6.0.19"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/string"
        },
        {
            "name": "webman/console",
            "version": "v1.3.4",
            "version_normalized": "1.3.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/webman-php/console.git",
                "reference": "ee50a1eca292eea5bf70661aa2ef722e1294814c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/webman-php/console/zipball/ee50a1eca292eea5bf70661aa2ef722e1294814c",
                "reference": "ee50a1eca292eea5bf70661aa2ef722e1294814c",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "doctrine/inflector": "^2.0",
                "symfony/console": ">=5.0"
            },
            "require-dev": {
                "workerman/webman": "^1.0"
            },
            "time": "2024-01-23T03:25:23+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Webman\\Console\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "http://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "Webman console",
            "homepage": "http://www.workerman.net",
            "keywords": [
                "webman console"
            ],
            "support": {
                "email": "walkor@workerman.net",
                "forum": "http://www.workerman.net/questions",
                "issues": "https://github.com/webman-php/console/issues",
                "source": "https://github.com/webman-php/console",
                "wiki": "http://www.workerman.net/doc/webman"
            },
            "install-path": "../webman/console"
        },
        {
            "name": "webmozart/assert",
            "version": "1.11.0",
            "version_normalized": "1.11.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/webmozarts/assert.git",
                "reference": "11cb2199493b2f8a3b53e7f19068fc6aac760991"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/webmozarts/assert/zipball/11cb2199493b2f8a3b53e7f19068fc6aac760991",
                "reference": "11cb2199493b2f8a3b53e7f19068fc6aac760991",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-ctype": "*",
                "php": "^7.2 || ^8.0"
            },
            "conflict": {
                "phpstan/phpstan": "<0.12.20",
                "vimeo/psalm": "<4.6.1 || 4.6.2"
            },
            "require-dev": {
                "phpunit/phpunit": "^8.5.13"
            },
            "time": "2022-06-03T18:03:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.10-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Webmozart\\Assert\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Bernhard Schussek",
                    "email": "bschussek@gmail.com"
                }
            ],
            "description": "Assertions to validate method input/output with nice error messages.",
            "keywords": [
                "assert",
                "check",
                "validate"
            ],
            "support": {
                "issues": "https://github.com/webmozarts/assert/issues",
                "source": "https://github.com/webmozarts/assert/tree/1.11.0"
            },
            "install-path": "../webmozart/assert"
        },
        {
            "name": "workerman/validation",
            "version": "v3.1.2",
            "version_normalized": "3.1.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/validation.git",
                "reference": "a4e9896e76b2fac92aff9a9f784df55f615571a0"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/validation/zipball/a4e9896e76b2fac92aff9a9f784df55f615571a0",
                "reference": "a4e9896e76b2fac92aff9a9f784df55f615571a0",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": "^8.0 || ^8.1 || ^8.2",
                "respect/stringifier": "^0.2.0",
                "symfony/polyfill-mbstring": "^1.2"
            },
            "require-dev": {
                "egulias/email-validator": "^3.0",
                "giggsey/libphonenumber-for-php-lite": "^8.13",
                "malukenho/docheader": "^1.0",
                "mikey179/vfsstream": "^1.6",
                "phpstan/phpstan": "^1.9",
                "phpstan/phpstan-deprecation-rules": "^1.1",
                "phpstan/phpstan-phpunit": "^1.3",
                "phpunit/phpunit": "^9.6",
                "psr/http-message": "^1.0",
                "respect/coding-standard": "^3.0",
                "squizlabs/php_codesniffer": "^3.7"
            },
            "suggest": {
                "egulias/email-validator": "Improves the Email rule if available",
                "ext-bcmath": "Arbitrary Precision Mathematics",
                "ext-fileinfo": "File Information",
                "ext-mbstring": "Multibyte String Functions",
                "giggsey/libphonenumber-for-php-lite": "Enables the phone rule if available"
            },
            "time": "2023-12-07T06:19:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Respect\\Validation\\": "library/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Respect/Validation Contributors",
                    "homepage": "https://github.com/Respect/Validation/graphs/contributors"
                }
            ],
            "description": "The most awesome validation engine ever created for PHP. Respect/Validation 汉化版本",
            "homepage": "http://respect.github.io/Validation/",
            "keywords": [
                "respect",
                "validation",
                "validator"
            ],
            "support": {
                "source": "https://github.com/walkor/validation/tree/v3.1.2"
            },
            "install-path": "../workerman/validation"
        },
        {
            "name": "workerman/webman-framework",
            "version": "v1.5.16",
            "version_normalized": "1.5.16.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/webman-framework.git",
                "reference": "84335520a340ee60adf7cf17aeb0edb9536c24e8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/webman-framework/zipball/84335520a340ee60adf7cf17aeb0edb9536c24e8",
                "reference": "84335520a340ee60adf7cf17aeb0edb9536c24e8",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-json": "*",
                "nikic/fast-route": "^1.3",
                "php": ">=7.2",
                "psr/container": ">=1.0",
                "workerman/workerman": "^4.0.4 || ^5.0.0"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2024-01-15T12:11:49+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Webman\\": "./src",
                    "Support\\": "./src/support",
                    "support\\": "./src/support",
                    "Support\\View\\": "./src/support/view",
                    "Support\\Bootstrap\\": "./src/support/bootstrap",
                    "Support\\Exception\\": "./src/support/exception"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "https://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "High performance HTTP Service Framework.",
            "homepage": "https://www.workerman.net",
            "keywords": [
                "High Performance",
                "http service"
            ],
            "support": {
                "email": "walkor@workerman.net",
                "forum": "https://wenda.workerman.net/",
                "issues": "https://github.com/walkor/webman/issues",
                "source": "https://github.com/walkor/webman-framework",
                "wiki": "https://doc.workerman.net/"
            },
            "install-path": "../workerman/webman-framework"
        },
        {
            "name": "workerman/workerman",
            "version": "v4.1.15",
            "version_normalized": "4.1.15.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/workerman.git",
                "reference": "afc8242fc769ab7cf22eb4ac22b97cb59d465e4e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/workerman/zipball/afc8242fc769ab7cf22eb4ac22b97cb59d465e4e",
                "reference": "afc8242fc769ab7cf22eb4ac22b97cb59d465e4e",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.0"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2024-02-19T02:10:39+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Workerman\\": "./"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "http://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "An asynchronous event driven PHP framework for easily building fast, scalable network applications.",
            "homepage": "http://www.workerman.net",
            "keywords": [
                "asynchronous",
                "event-loop"
            ],
            "support": {
                "email": "walkor@workerman.net",
                "forum": "http://wenda.workerman.net/",
                "issues": "https://github.com/walkor/workerman/issues",
                "source": "https://github.com/walkor/workerman",
                "wiki": "http://doc.workerman.net/"
            },
            "funding": [
                {
                    "url": "https://opencollective.com/workerman",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/walkor",
                    "type": "patreon"
                }
            ],
            "install-path": "../workerman/workerman"
        },
        {
            "name": "yzh52521/easyhttp",
            "version": "v1.1.3",
            "version_normalized": "1.1.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/yuanzhihai/easyhttp.git",
                "reference": "02bcf47eaf723520fa3905d0e6f1852168fe646c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/yuanzhihai/easyhttp/zipball/02bcf47eaf723520fa3905d0e6f1852168fe646c",
                "reference": "02bcf47eaf723520fa3905d0e6f1852168fe646c",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "guzzlehttp/guzzle": "^6.0|^7.0",
                "php": ">=7.2.5",
                "psr/log": "^1.0|^2.0|^3.0"
            },
            "time": "2023-11-14T05:49:02+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "yzh52521\\EasyHttp\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "yzh52521",
                    "email": "396751927@qq.com"
                }
            ],
            "description": "EasyHttp 是一个轻量级、语义化、对IDE友好的HTTP客户端，支持常见的HTTP请求、异步请求和并发请求，让你可以快速地使用 HTTP 请求与其他 Web 应用进行通信。",
            "homepage": "https://github.com/yzh52521/easyhttp",
            "keywords": [
                "EasyHttp",
                "curl",
                "easy-http",
                "http",
                "php",
                "php-http",
                "phphttp"
            ],
            "support": {
                "issues": "https://github.com/yuanzhihai/easyhttp/issues",
                "source": "https://github.com/yuanzhihai/easyhttp/tree/v1.1.3"
            },
            "install-path": "../yzh52521/easyhttp"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
